# Course Reg Processes Course Reg Processes ## Gets all of the course reg processes in the system. - [GET /courseRegProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/listcourseregprocesses.md): This method will scan all course reg processes and and return them to the caller. ## Creates a new course reg process record that does not already exist. - [POST /courseRegProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/createcourseregprocess.md): This method will auto-generate an ID and create a new course reg process. If an ID is specified for the course reg process, an error will be thrown. ## Execute Batch Operations - [POST /courseRegProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the processes a contact is eligible to use - [GET /courseRegProcesses/{tenantId}/eligible/{contactId}/{courseId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/geteligibleprocesses.md) ## Returns a course reg process from the system by its ID. - [DELETE /courseRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/deletecourseregprocess.md): This method will delete a course reg process with the specified ID. ## Returns a course reg process from the system by its ID. - [GET /courseRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/getcourseregprocess.md): This method will look up a course reg process by the specified ID and return it back. ## Partially updates a course reg process with the specified ID. - [PATCH /courseRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/patchcourseregprocess.md): This method will patch an existing course reg process with the specified ID, using the HTTP PATCH specification. ## Updates a course reg process with the specified ID. - [PUT /courseRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/updatecourseregprocess.md): This method will update an existing course reg process with the specified ID.